summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRalf Habacker <ralf.habacker@freenet.de>2023-12-01 21:45:18 +0000
committerRalf Habacker <ralf.habacker@freenet.de>2023-12-01 21:45:18 +0000
commitd9756df2f0e15c707f0fd65aada96122a08e6f9e (patch)
tree55fc760f126098abb626608e348b11e0470f6151
parentc807028db49ed418bf1c34b2c9469d46f4023a4a (diff)
parent06606bd8cdf47b7adfb560bfd5c08689aec47bfd (diff)
Merge branch 'issue489' into 'master'
CI: Fix more test failures Closes #489 and #488 See merge request dbus/dbus!452
-rw-r--r--.gitlab-ci.yml8
-rwxr-xr-xtools/ci-build.sh10
2 files changed, 12 insertions, 6 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index d1ddd816..c496b3d4 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -173,28 +173,28 @@ debian cmake:
- .debian-build
when: manual
variables:
- ci_buildsys: "cmake-dist"
+ ci_buildsys: "cmake"
debian meson:
extends:
- .meson-common
- .debian-build
variables:
- ci_buildsys: "meson-dist"
+ ci_buildsys: "meson"
debian meson clang debug:
extends:
- .meson-common
- .debian-build
variables:
- ci_buildsys: "meson-dist"
+ ci_buildsys: "meson"
ci_compiler: "clang"
ci_variant: "debug"
script:
- ./tools/ci-build.sh
# Also test that we can be used as a subproject:
# https://gitlab.freedesktop.org/dbus/dbus/-/merge_requests/388
- - meson dist -C $ci_builddir --formats xztar
+ - meson dist -C $ci_builddir --formats xztar --no-tests
- mkdir -p test/use-as-subproject/subprojects/dbus
- tar --strip-components=1 -C test/use-as-subproject/subprojects/dbus -xf $ci_builddir/meson-dist/*.tar.xz
- meson setup --wrap-mode=forcefallback test/use-as-subproject/_build test/use-as-subproject
diff --git a/tools/ci-build.sh b/tools/ci-build.sh
index 239a69a3..ea6b35a2 100755
--- a/tools/ci-build.sh
+++ b/tools/ci-build.sh
@@ -29,6 +29,12 @@ set -x
NULL=
+if [ "$(uname -s || true)" = Linux ]; then
+ export LANG=C.UTF-8
+ export LANGUAGE=C.UTF-8
+ export LC_ALL=C.UTF-8
+fi
+
##
## initialize support to run cross compiled executables
##
@@ -228,7 +234,7 @@ make="${make} -j${ci_parallel} V=1 VERBOSE=1"
export UBSAN_OPTIONS=print_stacktrace=1:print_summary=1:halt_on_error=1
case "$ci_buildsys" in
- (cmake|cmake-dist)
+ (cmake)
cmdwrapper=
cmake=cmake
case "$ci_host" in
@@ -279,7 +285,7 @@ case "$ci_buildsys" in
( cd DESTDIR && find . -ls)
;;
- (meson|meson-dist)
+ (meson)
# The test coverage for OOM-safety is too verbose to be useful on
# travis-ci, and too slow when running under wine.
export DBUS_TEST_MALLOC_FAILURES=0